<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント確認用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.do
 */
class topicCommentCheckAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $topic_comment_id = $request['topic_comment_id'];

        // コメントの確認
        db_update_topic_comment4check($topic_comment_id);

        // リダイレクト
        pocket_redirect('uncheckedCommentList.view');
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $topic_comment_id = $request['topic_comment_id'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'uncheckedCommentList';
        // 検証
        $validator->validate('topic_comment_id', 'ID', $topic_comment_id, 'number', true);

        // コメント情報の存在チェック
        if (!db_get_topic_comment4delete($topic_comment_id))
            pocket_redirect('default.view');
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
